PDA

View Full Version : [FIXED] Cannot start reactor-classic-boilerplate



ZVONDIC
22 May 2017, 1:32 AM
I try to test reactor-classic-boilerplate but there is an error when i run npm start.

Can you help me?

Josef.


Sencha Cmd v6.5.0.180
[INF] Loading compiler context
[ERR] Cannot satisfy requirements for "classic"!
[ERR] The following versions cannot be satisfied:
[ERR] null: classic (No matches!)
[ERR] Cannot satisfy requirements for "theme-triton"!
[ERR] The following versions cannot be satisfied:
[ERR] null: theme-triton (No matches!)
[ERR]
[ERR] BUILD FAILED
[ERR] com.sencha.exceptions.BasicException: com.sencha.exceptions.ExVersion: Cannot resolve package requirements
[ERR]
[ERR] Total time: 0 seconds
[ERR] com.sencha.exceptions.BasicException: com.sencha.exceptions.ExVersion: Cannot resolve package requirements
undefined
(node:812) UnhandledPromiseRejectionWarning: Unhandled promise rejection (rejection id: 1): TypeError: Cannot read property 'toString' of undefined

petr.vecera
22 May 2017, 4:43 AM
Hi Josef

We are aware of this issues and are working on the fix which will be available in v1.0.1
You can try to install the 1.0.1 beta version using:


npm install --save-dev @extjs/[email protected]

https://github.com/sencha/extjs-reactor/issues/203#issuecomment-302713767

Regards
Petr

ZVONDIC
22 May 2017, 5:19 AM
Hi Petře,
thanks for your answer. This fix works fine. But there is next error.

babel [BABEL] C:\react\demo\extjs-reactor\packages\reactor-classic-boilerplate\src\data.js: Generation end +1ms
94% asset optimization
building ExtReact bundle: ext => C:\react\demo\extjs-reactor\packages\reactor-classic-boilerplate\build\ext-react
undefined
(node:9060) UnhandledPromiseRejectionWarning: Unhandled promise rejection (rejection id: 1): TypeError: Cannot read property 'toString' of undefined


Thanks Josef.

petr.vecera
22 May 2017, 6:43 AM
Ahoj Pepo

Please try to also switch to branch 1.0.1 on the GitHub repo, there were some changes.
Also don't forget to copy the ext framework or make a link to the folder as mentioned in the guide https://github.com/sencha/extjs-reactor/tree/1.0.1/packages/reactor-classic-boilerplate

Petr

arnaud.benhamdine
24 May 2017, 12:47 AM
Same problem for me, with 1.0.1, on WIndows 10.
Still unable to test ExtReact after dozens of tries..

ZVONDIC
24 May 2017, 1:03 AM
I clone https://github.com/sencha/extjs-reactor.git with branch 1.0.1 and i do steps describe by Peter and all works fine.

Josef